Package: org.codehaus.groovy.control.io

## [Java] Class NullWriter

- org.codehaus.groovy.control.io.NullWriter

-     public class NullWriter
      extends Writer

  A Writer that eats its input.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static NullWriter` | `DEFAULT` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `close()`
    `` | `public void` | `flush()`
    `` | `public void` | `write(char[] cbuf, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Writer` | `append, append, append, append, append, append, close, equals, flush, getClass, hashCode, notify, notifyAll, nullWriter, toString, wait, wait, wait, write, write, write, write, write`

- - ### Field Detail

    - #### public static final NullWriter DEFAULT

  - ### Method Detail

    - #### @Override
      public void close()

    - #### @Override
      public void flush()

    - #### @Override
      public void write(char[] cbuf, int off, int len)